Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Harness Resource Type

This contains APIs related to Harness Resource Type

Gets all resource types available at this scope

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/resourcetype
GET /gateway/authz/api/resourcetype?accountIdentifier=text HTTP/1.1
Host: access-control-79894d6ccb-ltplk
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?